Cyan Web API - Version 1


POST api/messageRoute

            Creates a message route with a destination. A new destination will be created if a messageDestinationId is not passed in
            

Request Information

Parameters

NameDescriptionAdditional information
messageRouteDestinationRepresentation
- The TenantId field is required, and should match the tenant on the HTTP request header.
            - MessageRouteRepresentation
            -- MessageTypeId (Guid?)
            -- UserId (Guid?)
            -- UserGroupId (Guid?)
            -- DeviceId (Guid?)
            -- DeviceGroupId (Guid?)
            -- ApplicationId (Guid?)
            -- ApplicationVersionId (Guid?)
            -- MessageDestinationId (Guid)
            -- Name
            -- Description
            - MessageDestinationRepresentation
            -- MessageDestinationId (Guid) pass in if using an existing destination
            -- MessageDestinationTypeId (Guid)
            -- Name
            -- Description
            -- Address

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "tenantId": "bd73e4d1-6c20-42d4-a578-72e7fc4b90ef",
  "messageRouteRepresentation": {
    "messageRouteId": "836f84e4-85ae-4583-8a53-0999446dec3b",
    "tenantId": "89ded0b1-76c6-4267-9f93-1fa137ae7e83",
    "messageTypeId": "a67b4cda-4fb4-484f-87db-3d85fbd4fb68",
    "userId": "7bbab76d-8bdf-48b6-9aed-909b07f23224",
    "userGroupId": "9c3a212a-eeb2-441b-82ae-e2cfbd39c4be",
    "deviceId": "8cc29376-3394-43dc-8a99-b6a9de7fb9aa",
    "deviceGroupId": "ccd47094-fdf4-4950-a32c-c70d6e92e571",
    "applicationId": "da394cee-cfd9-46c6-83ba-0332244bd84b",
    "applicationVersionId": "00881b78-fdae-4c17-a933-0d08fc9360d1",
    "messageDestinationId": "3bc2311b-da2c-44ab-b170-50051f0a28d1",
    "name": "sample string 4",
    "description": "sample string 5",
    "createdDateUtc": "2026-08-08T10:08:03.9114799+00:00",
    "updatedDateUtc": "2026-08-08T10:08:03.9114799+00:00"
  },
  "messageDestinationRepresentation": {
    "messageDestinationId": "697a8865-d9c8-4bfe-8cf5-7ae08bdb6a08",
    "messageDestinationTypeId": "8122e430-f54c-4110-9fb0-4f09d7aa9da9",
    "tenantId": "329c6285-8288-46ce-be4a-451cb7a67e82",
    "name": "sample string 4",
    "description": "sample string 5",
    "address": "sample string 6",
    "createdDateUtc": "2026-08-08T10:08:03.9114799+00:00",
    "updatedDateUtc": "2026-08-08T10:08:03.9114799+00:00"
  },
  "createdDateUtc": "2026-08-08T10:08:03.9114799+00:00",
  "updatedDateUtc": "2026-08-08T10:08:03.9114799+00:00"
}

application/xml, text/xml

Sample:
<MessageRouteDestinationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-08-08T10:08:03.9114799+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-08-08T10:08:03.9114799+00:00</UpdatedDateUtc>
  <MessageDestinationRepresentation>
    <CreatedDateUtc>2026-08-08T10:08:03.9114799+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-08T10:08:03.9114799+00:00</UpdatedDateUtc>
    <Address>sample string 6</Address>
    <Description>sample string 5</Description>
    <MessageDestinationId>697a8865-d9c8-4bfe-8cf5-7ae08bdb6a08</MessageDestinationId>
    <MessageDestinationTypeId>8122e430-f54c-4110-9fb0-4f09d7aa9da9</MessageDestinationTypeId>
    <Name>sample string 4</Name>
    <TenantId>329c6285-8288-46ce-be4a-451cb7a67e82</TenantId>
  </MessageDestinationRepresentation>
  <MessageRouteRepresentation>
    <CreatedDateUtc>2026-08-08T10:08:03.9114799+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-08T10:08:03.9114799+00:00</UpdatedDateUtc>
    <ApplicationId>da394cee-cfd9-46c6-83ba-0332244bd84b</ApplicationId>
    <ApplicationVersionId>00881b78-fdae-4c17-a933-0d08fc9360d1</ApplicationVersionId>
    <Description>sample string 5</Description>
    <DeviceGroupId>ccd47094-fdf4-4950-a32c-c70d6e92e571</DeviceGroupId>
    <DeviceId>8cc29376-3394-43dc-8a99-b6a9de7fb9aa</DeviceId>
    <MessageDestinationId>3bc2311b-da2c-44ab-b170-50051f0a28d1</MessageDestinationId>
    <MessageRouteId>836f84e4-85ae-4583-8a53-0999446dec3b</MessageRouteId>
    <MessageTypeId>a67b4cda-4fb4-484f-87db-3d85fbd4fb68</MessageTypeId>
    <Name>sample string 4</Name>
    <TenantId>89ded0b1-76c6-4267-9f93-1fa137ae7e83</TenantId>
    <UserGroupId>9c3a212a-eeb2-441b-82ae-e2cfbd39c4be</UserGroupId>
    <UserId>7bbab76d-8bdf-48b6-9aed-909b07f23224</UserId>
  </MessageRouteRepresentation>
  <TenantId>bd73e4d1-6c20-42d4-a578-72e7fc4b90ef</TenantId>
</MessageRouteDestinationRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.